For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • GETCheck if a transaction check exists
      • POSTAdd new transaction check(s)
      • PUTUpdate transaction checks in batch
Contact Us
LogoLogo
API ReferenceTransaction Checks

Add new transaction check(s)

POST
https://api.cable.tech/v2/transaction_check
POST
/v2/transaction_check
$curl -X POST https://api.cable.tech/v2/transaction_check \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "check_id": "chk_9f8b7c6d5e4a3b2c1d0e",
> "timestamp": "2024-01-15T09:30:00Z"
> }
>]'
1{
2 "success": true,
3 "write_count": 1,
4 "message": "Transaction check added successfully.",
5 "organization_id": "org_1234567890abcdef"
6}
Was this page helpful?
Previous

Update transaction checks in batch

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Transaction check data to add.
check_idstringRequired
Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.
statusenumRequired
Allowed values:
typeenumRequired
The type of monitoring check that is being performed.
Allowed values:
timestampdatetimeRequired
When this transaction check was performed in your system, in ISO 8601 format.
is_testbooleanOptionalDefaults to false
If the transaction check is test data, this should be set to true
related_tx_idslist of stringsOptional
Unique identifiers for transactions which the check relates to.
related_tx_idstringOptionalDeprecated
Unique identifier for the transaction which the check is related to.

Response

Transaction check added successfully
successboolean
Indicates if the write operation was successful.
write_countinteger
The number of records written to the database.
messagestring
Provides additional information about the operation result.
organization_idstring
The organization ID for which the operation was performed.

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error